> This page is for version v1 (default).
> For other versions, use one of these documentation indexes:
> - v1 (default): https://developers.truemed.com/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.truemed.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.truemed.com/_mcp/server.

# Get Catalog Item Details

POST https://dev-api.truemed.com/api/v1/product_catalog/items/detail
Content-Type: application/json

Retrieve details of a catalog item by SKU.

Reference: https://developers.truemed.com/api-reference/product-catalog/get-item-detail

## Authentication

- `x-truemed-api-key` header (required) — Sales channel API key for merchant server-to-server authentication

## Servers

- `https://dev-api.truemed.com` (Development server, default)
- `https://api.truemed.com` (Production server)

## Request

### Body (application/json)

This endpoint expects a DetailItemRequest.

- `sku` (string, required) — The SKU of the catalog item to retrieve.

## Response

### 200

Successful response

- `object` (CatalogItemDetail, required) — The catalog item detail.

## Errors

### 400 Bad Request Error

Bad Request

- `error` (enum, required)
  - Allowed values: `TotalAmountInvalid`, `ValidationError`
- `message` (string, required)

### 404 Not Found Error

Not Found

- `error` (enum, required)
  - Allowed values: `NotFound`
- `message` (string, required)

### 405 Method Not Allowed Error

Method Not Allowed

- `error` (enum, required)
  - Allowed values: `MethodNotAllowed`
- `message` (string, required)

### 500 Internal Server Error

Internal Server Error

- `error` (enum, required)
  - Allowed values: `ServerError`
- `message` (string, required)

### 501 Not Implemented Error

Not Implemented

- `error` (enum, required)
  - Allowed values: `NotImplemented`
- `message` (string, required)

## Types

### CatalogItemDetail

- `created_at` (datetime, required) — The date and time the catalog item was created.
- `name` (string, required) — The name of the catalog item.
- `sku` (string, required) — The SKU of the catalog item.
- `comparable_item_price_cents` (integer, optional, nullable) — The amount, in cents, deducted from each unit of this item before any of it can reach an HSA/FSA card.
- `description` (string, optional, nullable) — An optional description of the catalog item.
- `eligibility` (enum, optional, nullable) — HSA/FSA eligibility status for the catalog item.
  - Allowed values: `eligible`, `eligible_with_lmn`, `ineligible`
- `gtin` (string, optional, nullable) — The GTIN of the catalog item.
- `image_urls` (list of string, optional, nullable) — Optional array of image URLs associated with the catalog item.
- `metadata` (string, optional, nullable) — Optional metadata string for the catalog item.
- `product_id` (string, optional, nullable) — The product ID of the product which this catalog item is a variant of.
- `reviewed_at` (datetime, optional, nullable) — The date and time the catalog item's eligibility was last decided. Present whenever `eligibility` is.
- `url` (string, optional, nullable) — An optional display page URL for the catalog item.

## Examples

**Request**

```json
{
  "sku": "string"
}
```

**Response**

```json
{
  "object": {
    "created_at": "2024-01-15T09:30:00Z",
    "name": "string",
    "sku": "string",
    "comparable_item_price_cents": 1,
    "description": "string",
    "eligibility": "eligible",
    "gtin": "string",
    "image_urls": [
      "string"
    ],
    "metadata": "string",
    "product_id": "string",
    "reviewed_at": "2024-01-15T09:30:00Z",
    "url": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://dev-api.truemed.com/api/v1/product_catalog/items/detail"

payload = { "sku": "string" }
headers = {
    "x-truemed-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://dev-api.truemed.com/api/v1/product_catalog/items/detail';
const options = {
  method: 'POST',
  headers: {'x-truemed-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"sku":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```